org.apache.ignite.plugin

## Interface CachePluginConfiguration<K,V>

All Superinterfaces:
  Serializable

    public interface CachePluginConfiguration<K,V>
    extends Serializable

Cache plugin configuration. It is a point to extend existing `CacheConfiguration` and extend existing functionality of cache.

### Method Summary

Methods
`CachePluginProvider` `createProvider(CachePluginContext ctx)` Creates cache plugin provider.

### Method Detail

#### createProvider

    CachePluginProvider createProvider(CachePluginContext ctx)

Creates cache plugin provider.

Parameters:
  `ctx` - Plugin context.
Returns:
  Cache plugin provider class.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016